import React from 'react';
import { RadioButton } from './radio-button';
import { jsx as _jsx } from "react/jsx-runtime";
export const RadioButtonConditionalWrapper = radioButtonProps => {
  const {
    wrapItems,
    ...otherRadioButtonProps
  } = radioButtonProps;
  if (wrapItems) {
    const testId = ['radiobutton-wrapper', radioButtonProps.groupIdentifier, radioButtonProps?.option?.id].filter(Boolean).join('-');
    return /*#__PURE__*/_jsx("div", {
      className: "block-wrapper",
      "test-id": testId,
      children: /*#__PURE__*/_jsx(RadioButton, {
        ...otherRadioButtonProps
      })
    });
  }
  return /*#__PURE__*/_jsx(RadioButton, {
    ...otherRadioButtonProps
  });
};